Debian DSA-3436-1 : openssl - security update (SLOTH)

Medium Nessus Plugin ID 87827

Synopsis

The remote Debian host is missing a security-related update.

Description

Karthikeyan Bhargavan and Gaetan Leurent at INRIA discovered a flaw in the TLS 1.2 protocol which could allow the MD5 hash function to be used for signing ServerKeyExchange and Client Authentication packets during a TLS handshake. A man-in-the-middle attacker could exploit this flaw to conduct collision attacks to impersonate a TLS server or an authenticated TLS client.

More information can be found at https://www.mitls.org/pages/attacks/SLOTH

Solution

Upgrade the openssl packages.

For the oldstable distribution (wheezy), this problem has been fixed in version 1.0.1e-2+deb7u19.

For the stable distribution (jessie), the testing distribution (stretch) and the unstable distribution (sid), this issue was already addressed in version 1.0.1f-1.

See Also

https://www.mitls.org/pages/attacks/SLOTH

https://packages.debian.org/source/wheezy/openssl

https://www.debian.org/security/2016/dsa-3436

Plugin Details

Severity: Medium

ID: 87827

File Name: debian_DSA-3436.nasl

Version: 2.11

Type: local

Agent: unix

Published: 2016/01/11

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Temporal Score: 3.2

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 5.9

Temporal Score: 5.2

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:openssl, cpe:/o:debian:debian_linux:7.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/01/08

Reference Information

CVE: CVE-2015-7575

DSA: 3436